%define	_enable_debug_packages	%{nil}
%define	debug_package	%{nil}

%define	oname	Videoporama

Name:		videoporama
Version:	0.8.1
Release:	%mkrel 1
Summary:	A Python application to make video of image slide-show
License:	GPLv2+
Group:		Video
URL:		http://www.videoporama.tuxfamily.org
Source0:	%{name}-%{version}.tar.xz
Patch0:		debian-changes-0.8.1.patch
Patch1:		avconv.patch
Patch2:		ffmpeg-to-avconv.patch
Patch3:		adts-formats.patch
Patch4:		fix-replace-adts-with-libfaac.patch
Patch5:		remove-vn-option-for-avconv.patch
Patch6:		about-converter.patch
Patch7:		fix-transitions-for-pip-3.4.x.patch
BuildRequires:	desktop-file-utils
BuildRequires:	python
BuildArch:	noarch

%description
Videoporama is a Python application for the creation of videos sequences (slide-shows) made of:
  * titles, fixed or livened up;
  * images or photos, fixed or livened up;
  * movie clips.

%package stable
Group:		Video
Summary:	A Python application to make video of image slide-show
Requires:	python		>= 2.6
Requires:	python-pillow	>= 2.5
Requires:	python-qt4	>= 4.6
Requires:	python-qt4-gui	>= 4.6
Requires:	python-qt4-multimedia	>= 4.6
Requires:	python-qt4-svg	>= 4.6
Requires:	qt4-common	>= 4.6
Requires:	libav-tools
Requires:	mjpegtools
Requires:	sox
Requires:	mplayer-gui
Conflicts:	%{name}

%description stable
Videoporama is a Python application for the creation of videos sequences (slide-shows) made of:
  * titles, fixed or livened up;
  * images or photos, fixed or livened up;
  * movie clips.

These sequences are assembled in a slide show by the means of transitions of sequence to
produce a complete video. Videoporama supports the following options:

  * cutting of video clips;
  * addition of text notes for images, photos, sequences and animations;
  * creation of animations by zooming or applying Ken Burns Effect on part of
    images or photos;
  * making of transitions between sequences;
  * addition of a background sound (wav, mp3 or ogg);
  * generation of videos usable by most of the current videos equipments:
    supported video format ranging from QVGA (320x240) to Full HD (1920x1080);
  * support for aspect ratio of 4:3 or 16:9;
  * support for raw dv (dv), avi, mpg, flv (Video flash), mp4 and mkv video
    formats.

This 'working' version is from the old 0.8.1 branch, and has been compiled to work with
(static) libav-tools instead of ffmpeg.

%prep
%setup -qn %{name}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
#%patch7 -p1 # required only if pip is 3.4.x +

mv debian.upstream debian

# Remove all the useless exec bits from help, icons, iconstr, locale and luma directories
# and also from the main dir
chmod -x help/images/*.png
chmod -x help/*.html
chmod -x help/*.css
chmod -x icons/*.png
chmod -x iconstr/*.png
chmod -x locale/*.qm
chmod -x luma/*.png
chmod -x *.py

%build
%{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root=%{buildroot}

# Remove useless installed hidden files
rm -rf %{buildroot}%{_bindir}/.svn
rm -rf %{buildroot}%{_datadir}%{name}/help/images/.directory
rm -rf %{buildroot}%{_datadir}%{name}/help/images/.svn

# Create dest directories for icon and desktop files
mkdir -p %{buildroot}%{_datadir}/pixmaps
mkdir -p %{buildroot}%{_mandir}/man1

# Move the icon file
install -m 0644 icons/%{name}_big.png %{buildroot}%{_datadir}/pixmaps/%name.png

# Use the provided desktop file
desktop-file-install -m 0644 debian/%{name}.desktop --dir %{buildroot}%{_datadir}/applications/ \
			--add-category=X-MandrivaLinux-Multimedia-Video;

# Add the manpage
install -m 0644 debian/%{name}.1 %{buildroot}%{_mandir}/man1/

# fix for pillow
sed -i 's|^import Image|from PIL import Image|' %{buildroot}%{_datadir}/%{name}/*.py

%files stable
%doc licences.txt README
%{_bindir}/%{name}
%{_datadir}/%{name}/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_mandir}/man1/%{name}.1.*
%{py_sitedir}/%{name}-%{version}-py%{py_ver}.egg-info


%changelog
* Mon Dec 04 2017 Zen Subz <techars21 at gmail dot com> - 0.8.1-1pclos2017
- Downgraded version that actually works with (static) libav-tools
